Skip to main content
`Ctrl`+`K`

# PetscDrawPushCurrentPoint

Pushes a new current draw point, retaining the old one, some codes use this point to determine where to draw next

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawPushCurrentPoint(PetscDraw draw, PetscReal x, PetscReal y)

Not Collective

## Input Parameters

- draw - the drawing context

- x - horizontal coordinate of the current point

- y - vertical coordinate of the current point

## See Also

`PetscDraw`, `PetscDrawPopCurrentPoint()`, `PetscDrawGetCurrentPoint()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/dline.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages